Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Interface ProcText

    public interface ProcText

This class class assembles textual information which is used in the process classes.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `ATTDUPL` Duplicate attribute info.
`static java.lang.String` | `ATTINVALID` Update element info.
`static java.lang.String` | `CMDARGS` No Document Warning.
`static java.lang.String` | `CMDERR` Command Execution Error.
`static java.lang.String` | `CMDEXX` Command Execution Error.
`static java.lang.String` | `CMDSIMILAR` Unknown Command error.
`static java.lang.String` | `CMDWHICH` Unknown Command error.
`static java.lang.String` | `COPYINFO` Copy query info.
`static java.lang.String` | `COPYROOT` Insert query info.
`static java.lang.String` | `COPYTAGS` Insert query info.
`static java.lang.String` | `CREATEATTR` Create information.
`static java.lang.String` | `CREATEFT` Create information.
`static java.lang.String` | `CREATETABLE` Create information.
`static java.lang.String` | `CREATETEXT` Create information.
`static java.lang.String` | `CREATEWORD` Create information.
`static int` | `DATAREF` Commands flag: data reference needed.
`static java.lang.String` | `DBCLOSED` Database Closed.
`static java.lang.String` | `DBCLOSEERR` Database not closed.
`static java.lang.String` | `DBCREATED` Database Closed.
`static java.lang.String` | `DBDROP` Database Opened.
`static java.lang.String` | `DBDROPERR` Database Opened.
`static java.lang.String` | `DBDROPPED` Database Created.
`static java.lang.String` | `DBEMPTY` No Document in memory Warning.
`static java.lang.String` | `DBINDEXED` Database Opened.
`static java.lang.String` | `DBINDEXERR` Database Opened.
`static java.lang.String` | `DBINMEM` Database is open.
`static java.lang.String` | `DBMISSING` No Document Warning.
`static java.lang.String` | `DBNOTDROPPED` Database Created.
`static java.lang.String` | `DBNOTFOUND` Database not found.
`static java.lang.String` | `DBOPENERR` Database Opened.
`static java.lang.String` | `DBOPTIMIZED` Database Optimized.
`static java.lang.String` | `DELETEINFO` Deletion info.
`static java.lang.String` | `DELETEROOT` Deletion error.
`static java.lang.String` | `DOCDECL` Document Declaration.
`static java.lang.String` | `EXPORTINFO` Export info.
`static java.lang.String` | `FILEERR` File error.
`static java.lang.String` | `FILEWHICH` File not found.
`static java.lang.String` | `HELPINFO` Database Closed.
`static java.lang.String` | `HITS` Query Hits.
`static java.lang.String` | `IMPORTERR` File error.
`static java.lang.String` | `INFOALL` Info on Query Verbosity.
`static java.lang.String` | `INFOATVINDEX` Info on Attribute Indexing.
`static java.lang.String` | `INFOCHOP` Info on Whitespace Chopping.
`static java.lang.String` | `INFOCREATE` Info on Document Creation.
`static java.lang.String` | `INFODB` Info on Document Creation.
`static java.lang.String` | `INFODBERR` Info on database.
`static java.lang.String` | `INFODBLIST` Info on database.
`static java.lang.String` | `INFODBNAME` Info on source document.
`static java.lang.String` | `INFODBPATH` Info on database path.
`static java.lang.String` | `INFODBSIZE` Info on database size.
`static java.lang.String` | `INFODEBUG` Info on Debug Mode.
`static java.lang.String` | `INFODOC` Info on source document.
`static java.lang.String` | `INFODOCSIZE` Info on document size.
`static java.lang.String` | `INFOENCODING` Document encoding.
`static java.lang.String` | `INFOENTITIES` Info on Entity Parsing.
`static java.lang.String` | `INFOFTINDEX` Info on Fulltext Indexing.
`static java.lang.String` | `INFOGENERAL` Database Info.
`static java.lang.String` | `INFOHEIGHT` Maximum tree height.
`static java.lang.String` | `INFOINDEX` Info on Index Creation.
`static java.lang.String` | `INFOINFO` Info on Query Verbosity.
`static java.lang.String` | `INFOMAINMEM` Info on Main Memory mode.
`static java.lang.String` | `INFOMEM` Info on used main memory.
`static java.lang.String` | `INFONEWPATH` Info on database path.
`static java.lang.String` | `INFONODB` Info on database.
`static java.lang.String` | `INFONODES` Info on database table size.
`static java.lang.String` | `INFOOFF` String representation for boolean false values.
`static java.lang.String` | `INFOON` String representation for boolean true values.
`static java.lang.String` | `INFOPATH` Info on document path.
`static java.lang.String` | `INFOPATHERR` Info on database path.
`static java.lang.String` | `INFORUNS` Info on execution times.
`static java.lang.String` | `INFOSERIALIZE` Info on result serialization.
`static java.lang.String` | `INFOTIME` Info on database time stamp.
`static java.lang.String` | `INFOTXTINDEX` Info on Text Indexing.
`static java.lang.String` | `INFOWORDINDEX` Info on Word Indexing.
`static java.lang.String` | `INFOXMLOUTPUT` Info on well formed XML serialization.
`static java.lang.String` | `INSERTINFO` Insert query info.
`static java.lang.String` | `INSERTTEXT` Insert query info.
`static int` | `LOCAL` Commands flag: local command.
`static java.lang.String` | `MS` Milliseconds.
`static java.lang.String` | `NL` New Line String.
`static java.lang.String` | `PIINVALID` Update element info.
`static java.lang.String` | `PINGINFO` Database Closed.
`static java.lang.String` | `POSINVALID` Invalid position.
`static int` | `PRINTING` Commands flag: printing command.
`static java.lang.String` | `PROCTIME` Process time.
`static java.lang.String` | `QUERY` Query Hits.
`static java.lang.String` | `QUERYCOMPILE` Query Info: Compiling.
`static java.lang.String` | `QUERYCOMPILING` Query Info: Optimizing.
`static java.lang.String` | `QUERYEVAL` Query Info: Evaluating.
`static java.lang.String` | `QUERYEVALUATE` Query Info: Evaluating.
`static java.lang.String` | `QUERYFINISH` Query Info: Finishing.
`static java.lang.String` | `QUERYINFO` Query Info: Querying.
`static java.lang.String` | `QUERYMEM` Query Info: Finishing.
`static java.lang.String` | `QUERYNODESERR` Insert query info.
`static java.lang.String` | `QUERYPRINT` Query Info: Time for printing.
`static java.lang.String` | `QUERYPRINTED` Query Info: Time for printing.
`static java.lang.String` | `QUERYRESULT` Query Info: Result .
`static java.lang.String` | `QUERYSEP` Query Info: Compiler.
`static java.lang.String` | `QUERYSTRING` Query Info: Query.
`static java.lang.String` | `QUERYTIME` Query Info: Querying.
`static java.lang.String` | `QUERYTOTAL` Query Hits.
`static int` | `SERVER` Commands flag: server command.
`static java.lang.String` | `SERVERRESULT` Server result.
`static java.lang.String` | `SETTO` Info on Execution Times.
`static java.lang.String` | `SETWHICH` Set option.
`static java.lang.String` | `SHOWIDERROR` ShowID Error.
`static int` | `STANDARD` Commands flag: standard.
`static java.lang.String` | `TAGINVALID` Update element info.
`static java.lang.String` | `UPDATEATTR` Update attribute info.
`static java.lang.String` | `UPDATEELEM` Update element info.
`static java.lang.String` | `UPDATEERR` Block storage support.
`static java.lang.String` | `UPDATEINFO` Update query info.
`static java.lang.String` | `UPDATENODE` Update node info.
`static int` | `UPDATING` Commands flag: updating command.
`static java.lang.String` | `XMARKWHICH` XMark Error.
`static java.lang.String` | `XMLDESC` XML File Description.
`static java.lang.String` | `XMLSUFFIX` XML Suffix.

Field Detail

### ATTDUPL

    static final java.lang.String ATTDUPL

  Duplicate attribute info.

  See Also:
    Constant Field Values

### ATTINVALID

    static final java.lang.String ATTINVALID

  Update element info.

  See Also:
    Constant Field Values

### CMDARGS

    static final java.lang.String CMDARGS

  No Document Warning.

  See Also:
    Constant Field Values

### CMDERR

    static final java.lang.String CMDERR

  Command Execution Error.

### CMDEXX

    static final java.lang.String CMDEXX

  Command Execution Error.

### CMDSIMILAR

    static final java.lang.String CMDSIMILAR

  Unknown Command error.

  See Also:
    Constant Field Values

### CMDWHICH

    static final java.lang.String CMDWHICH

  Unknown Command error.

  See Also:
    Constant Field Values

### COPYINFO

    static final java.lang.String COPYINFO

  Copy query info.

  See Also:
    Constant Field Values

### COPYROOT

    static final java.lang.String COPYROOT

  Insert query info.

  See Also:
    Constant Field Values

### COPYTAGS

    static final java.lang.String COPYTAGS

  Insert query info.

  See Also:
    Constant Field Values

### CREATEATTR

    static final java.lang.String CREATEATTR

  Create information.

  See Also:
    Constant Field Values

### CREATEFT

    static final java.lang.String CREATEFT

  Create information.

  See Also:
    Constant Field Values

### CREATETABLE

    static final java.lang.String CREATETABLE

  Create information.

  See Also:
    Constant Field Values

### CREATETEXT

    static final java.lang.String CREATETEXT

  Create information.

  See Also:
    Constant Field Values

### CREATEWORD

    static final java.lang.String CREATEWORD

  Create information.

  See Also:
    Constant Field Values

### DATAREF

    static final int DATAREF

  Commands flag: data reference needed.

  See Also:
    Constant Field Values

### DBCLOSED

    static final java.lang.String DBCLOSED

  Database Closed.

  See Also:
    Constant Field Values

### DBCLOSEERR

    static final java.lang.String DBCLOSEERR

  Database not closed.

  See Also:
    Constant Field Values

### DBCREATED

    static final java.lang.String DBCREATED

  Database Closed.

  See Also:
    Constant Field Values

### DBDROP

    static final java.lang.String DBDROP

  Database Opened.

  See Also:
    Constant Field Values

### DBDROPERR

    static final java.lang.String DBDROPERR

  Database Opened.

  See Also:
    Constant Field Values

### DBDROPPED

    static final java.lang.String DBDROPPED

  Database Created.

  See Also:
    Constant Field Values

### DBEMPTY

    static final java.lang.String DBEMPTY

  No Document in memory Warning.

  See Also:
    Constant Field Values

### DBINDEXED

    static final java.lang.String DBINDEXED

  Database Opened.

  See Also:
    Constant Field Values

### DBINDEXERR

    static final java.lang.String DBINDEXERR

  Database Opened.

  See Also:
    Constant Field Values

### DBINMEM

    static final java.lang.String DBINMEM

  Database is open.

  See Also:
    Constant Field Values

### DBMISSING

    static final java.lang.String DBMISSING

  No Document Warning.

  See Also:
    Constant Field Values

### DBNOTDROPPED

    static final java.lang.String DBNOTDROPPED

  Database Created.

  See Also:
    Constant Field Values

### DBNOTFOUND

    static final java.lang.String DBNOTFOUND

  Database not found.

  See Also:
    Constant Field Values

### DBOPENERR

    static final java.lang.String DBOPENERR

  Database Opened.

  See Also:
    Constant Field Values

### DBOPTIMIZED

    static final java.lang.String DBOPTIMIZED

  Database Optimized.

  See Also:
    Constant Field Values

### DELETEINFO

    static final java.lang.String DELETEINFO

  Deletion info.

  See Also:
    Constant Field Values

### DELETEROOT

    static final java.lang.String DELETEROOT

  Deletion error.

  See Also:
    Constant Field Values

### DOCDECL

    static final java.lang.String DOCDECL

  Document Declaration.

  See Also:
    Constant Field Values

### EXPORTINFO

    static final java.lang.String EXPORTINFO

  Export info.

  See Also:
    Constant Field Values

### FILEERR

    static final java.lang.String FILEERR

  File error.

  See Also:
    Constant Field Values

### FILEWHICH

    static final java.lang.String FILEWHICH

  File not found.

  See Also:
    Constant Field Values

### HELPINFO

    static final java.lang.String HELPINFO

  Database Closed.

  See Also:
    Constant Field Values

### HITS

    static final java.lang.String HITS

  Query Hits.

  See Also:
    Constant Field Values

### IMPORTERR

    static final java.lang.String IMPORTERR

  File error.

  See Also:
    Constant Field Values

### INFOALL

    static final java.lang.String INFOALL

  Info on Query Verbosity.

  See Also:
    Constant Field Values

### INFOATVINDEX

    static final java.lang.String INFOATVINDEX

  Info on Attribute Indexing.

  See Also:
    Constant Field Values

### INFOCHOP

    static final java.lang.String INFOCHOP

  Info on Whitespace Chopping.

  See Also:
    Constant Field Values

### INFOCREATE

    static final java.lang.String INFOCREATE

  Info on Document Creation.

  See Also:
    Constant Field Values

### INFODB

    static final java.lang.String INFODB

  Info on Document Creation.

  See Also:
    Constant Field Values

### INFODBERR

    static final java.lang.String INFODBERR

  Info on database.

  See Also:
    Constant Field Values

### INFODBLIST

    static final java.lang.String INFODBLIST

  Info on database.

  See Also:
    Constant Field Values

### INFODBNAME

    static final java.lang.String INFODBNAME

  Info on source document.

  See Also:
    Constant Field Values

### INFODBPATH

    static final java.lang.String INFODBPATH

  Info on database path.

  See Also:
    Constant Field Values

### INFODBSIZE

    static final java.lang.String INFODBSIZE

  Info on database size.

  See Also:
    Constant Field Values

### INFODEBUG

    static final java.lang.String INFODEBUG

  Info on Debug Mode.

  See Also:
    Constant Field Values

### INFODOC

    static final java.lang.String INFODOC

  Info on source document.

  See Also:
    Constant Field Values

### INFODOCSIZE

    static final java.lang.String INFODOCSIZE

  Info on document size.

  See Also:
    Constant Field Values

### INFOENCODING

    static final java.lang.String INFOENCODING

  Document encoding.

  See Also:
    Constant Field Values

### INFOENTITIES

    static final java.lang.String INFOENTITIES

  Info on Entity Parsing.

  See Also:
    Constant Field Values

### INFOFTINDEX

    static final java.lang.String INFOFTINDEX

  Info on Fulltext Indexing.

  See Also:
    Constant Field Values

### INFOGENERAL

    static final java.lang.String INFOGENERAL

  Database Info.

  See Also:
    Constant Field Values

### INFOHEIGHT

    static final java.lang.String INFOHEIGHT

  Maximum tree height.

  See Also:
    Constant Field Values

### INFOINDEX

    static final java.lang.String INFOINDEX

  Info on Index Creation.

  See Also:
    Constant Field Values

### INFOINFO

    static final java.lang.String INFOINFO

  Info on Query Verbosity.

  See Also:
    Constant Field Values

### INFOMAINMEM

    static final java.lang.String INFOMAINMEM

  Info on Main Memory mode.

  See Also:
    Constant Field Values

### INFOMEM

    static final java.lang.String INFOMEM

  Info on used main memory.

  See Also:
    Constant Field Values

### INFONEWPATH

    static final java.lang.String INFONEWPATH

  Info on database path.

  See Also:
    Constant Field Values

### INFONODB

    static final java.lang.String INFONODB

  Info on database.

  See Also:
    Constant Field Values

### INFONODES

    static final java.lang.String INFONODES

  Info on database table size.

  See Also:
    Constant Field Values

### INFOOFF

    static final java.lang.String INFOOFF

  String representation for boolean false values.

  See Also:
    Constant Field Values

### INFOON

    static final java.lang.String INFOON

  String representation for boolean true values.

  See Also:
    Constant Field Values

### INFOPATH

    static final java.lang.String INFOPATH

  Info on document path.

  See Also:
    Constant Field Values

### INFOPATHERR

    static final java.lang.String INFOPATHERR

  Info on database path.

  See Also:
    Constant Field Values

### INFORUNS

    static final java.lang.String INFORUNS

  Info on execution times.

  See Also:
    Constant Field Values

### INFOSERIALIZE

    static final java.lang.String INFOSERIALIZE

  Info on result serialization.

  See Also:
    Constant Field Values

### INFOTIME

    static final java.lang.String INFOTIME

  Info on database time stamp.

  See Also:
    Constant Field Values

### INFOTXTINDEX

    static final java.lang.String INFOTXTINDEX

  Info on Text Indexing.

  See Also:
    Constant Field Values

### INFOWORDINDEX

    static final java.lang.String INFOWORDINDEX

  Info on Word Indexing.

  See Also:
    Constant Field Values

### INFOXMLOUTPUT

    static final java.lang.String INFOXMLOUTPUT

  Info on well formed XML serialization.

  See Also:
    Constant Field Values

### INSERTINFO

    static final java.lang.String INSERTINFO

  Insert query info.

  See Also:
    Constant Field Values

### INSERTTEXT

    static final java.lang.String INSERTTEXT

  Insert query info.

  See Also:
    Constant Field Values

### LOCAL

    static final int LOCAL

  Commands flag: local command.

  See Also:
    Constant Field Values

### MS

    static final java.lang.String MS

  Milliseconds.

  See Also:
    Constant Field Values

### NL

    static final java.lang.String NL

  New Line String.

### PIINVALID

    static final java.lang.String PIINVALID

  Update element info.

  See Also:
    Constant Field Values

### PINGINFO

    static final java.lang.String PINGINFO

  Database Closed.

### POSINVALID

    static final java.lang.String POSINVALID

  Invalid position.

  See Also:
    Constant Field Values

### PRINTING

    static final int PRINTING

  Commands flag: printing command.

  See Also:
    Constant Field Values

### PROCTIME

    static final java.lang.String PROCTIME

  Process time.

  See Also:
    Constant Field Values

### QUERY

    static final java.lang.String QUERY

  Query Hits.

  See Also:
    Constant Field Values

### QUERYCOMPILE

    static final java.lang.String QUERYCOMPILE

  Query Info: Compiling.

  See Also:
    Constant Field Values

### QUERYCOMPILING

    static final java.lang.String QUERYCOMPILING

  Query Info: Optimizing.

  See Also:
    Constant Field Values

### QUERYEVAL

    static final java.lang.String QUERYEVAL

  Query Info: Evaluating.

  See Also:
    Constant Field Values

### QUERYEVALUATE

    static final java.lang.String QUERYEVALUATE

  Query Info: Evaluating.

  See Also:
    Constant Field Values

### QUERYFINISH

    static final java.lang.String QUERYFINISH

  Query Info: Finishing.

  See Also:
    Constant Field Values

### QUERYINFO

    static final java.lang.String QUERYINFO

  Query Info: Querying.

  See Also:
    Constant Field Values

### QUERYMEM

    static final java.lang.String QUERYMEM

  Query Info: Finishing.

  See Also:
    Constant Field Values

### QUERYNODESERR

    static final java.lang.String QUERYNODESERR

  Insert query info.

  See Also:
    Constant Field Values

### QUERYPRINT

    static final java.lang.String QUERYPRINT

  Query Info: Time for printing.

  See Also:
    Constant Field Values

### QUERYPRINTED

    static final java.lang.String QUERYPRINTED

  Query Info: Time for printing.

  See Also:
    Constant Field Values

### QUERYRESULT

    static final java.lang.String QUERYRESULT

  Query Info: Result .

  See Also:
    Constant Field Values

### QUERYSEP

    static final java.lang.String QUERYSEP

  Query Info: Compiler.

  See Also:
    Constant Field Values

### QUERYSTRING

    static final java.lang.String QUERYSTRING

  Query Info: Query.

  See Also:
    Constant Field Values

### QUERYTIME

    static final java.lang.String QUERYTIME

  Query Info: Querying.

  See Also:
    Constant Field Values

### QUERYTOTAL

    static final java.lang.String QUERYTOTAL

  Query Hits.

  See Also:
    Constant Field Values

### SERVER

    static final int SERVER

  Commands flag: server command.

  See Also:
    Constant Field Values

### SERVERRESULT

    static final java.lang.String SERVERRESULT

  Server result.

  See Also:
    Constant Field Values

### SETTO

    static final java.lang.String SETTO

  Info on Execution Times.

  See Also:
    Constant Field Values

### SETWHICH

    static final java.lang.String SETWHICH

  Set option.

  See Also:
    Constant Field Values

### SHOWIDERROR

    static final java.lang.String SHOWIDERROR

  ShowID Error.

  See Also:
    Constant Field Values

### STANDARD

    static final int STANDARD

  Commands flag: standard.

  See Also:
    Constant Field Values

### TAGINVALID

    static final java.lang.String TAGINVALID

  Update element info.

  See Also:
    Constant Field Values

### UPDATEATTR

    static final java.lang.String UPDATEATTR

  Update attribute info.

  See Also:
    Constant Field Values

### UPDATEELEM

    static final java.lang.String UPDATEELEM

  Update element info.

  See Also:
    Constant Field Values

### UPDATEERR

    static final java.lang.String UPDATEERR

  Block storage support.

  See Also:
    Constant Field Values

### UPDATEINFO

    static final java.lang.String UPDATEINFO

  Update query info.

  See Also:
    Constant Field Values

### UPDATENODE

    static final java.lang.String UPDATENODE

  Update node info.

  See Also:
    Constant Field Values

### UPDATING

    static final int UPDATING

  Commands flag: updating command.

  See Also:
    Constant Field Values

### XMARKWHICH

    static final java.lang.String XMARKWHICH

  XMark Error.

  See Also:
    Constant Field Values

### XMLDESC

    static final java.lang.String XMLDESC

  XML File Description.

  See Also:
    Constant Field Values

### XMLSUFFIX

    static final java.lang.String XMLSUFFIX

  XML Suffix.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD